Get transfers list

GEThttps://bank.dattaremit.com/api/transfers

Requires a bank-scoped key.

Retrieves a listing of transfers. Records are sorted by creation date in descending order.

Required scope: transfers:read

Query Params

pageinteger

The page index to retrieve.

per_pageinteger

The number of entities per page to return.

guidstring

Comma separated transfer_guids to list transfers for.

transfer_typestring

Comma separated transfer_types to list accounts for.

bank_guidstring

Comma separated bank_guids to list transfers for.

customer_guidstring

Comma separated customer_guids to list transfers for.

account_guidstring

Comma separated account_guids to list transfers for.

statestring

Comma separated states to list transfers for.

sidestring

Comma separated sides to list transfers for.

labelstring

Comma separated labels to list transfers for.

txn_hashstring

Comma separated transaction hashes to list transfers for.

created_at_gtestring

Created at start date-time inclusive lower bound, ISO8601

created_at_ltstring

Created at end date-time exclusive upper bound, ISO8601.

updated_at_gtestring

Created at start date-time inclusive lower bound, ISO8601

updated_at_ltstring

Created at end date-time exclusive upper bound, ISO8601.

Responses

200

get list of transfers

400

Invalid requests

401

Unauthorized - Authentication failed

403

Invalid scope

Request

curl https://api.dattaremit.com/api/transfers \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

get list of transfers

{
  "total": 1,
  "page": 1,
  "per_page": 1,
  "objects": [
    {
      "guid": "string",
      "transfer_type": "string",
      "bank_guid": "string",
      "customer_guid": "string",
      "quote_guid": "string",
      "external_bank_account_guid": "string",
      "asset": "string",
      "side": "string",
      "state": "string",
      "failure_code": "string",
      "return_code": "string",
      "amount": 1,
      "estimated_amount": 1,
      "fee": 1,
      "fee_details": [
        {
          "type": "bank",
          "asset": "string",
          "amount": 1
        }
      ],
      "estimated_network_fee": 1,
      "network_fee": 1,
      "network_fee_asset": "string",
      "network_fee_liability_amount": 1,
      "network_fee_liability_amount_asset": "string",
      "txn_hash": "string",
      "identifiers": [
        {
          "type": "txn_hash",
          "value": "string"
        }
      ],
      "reference_transfer_guid": "string",
      "source_account": {
        "guid": "string",
        "type": "string",
        "bank_guid": "string",
        "customer_guid": "string"
      },
      "source_participants": [
        {
          "type": "string",
          "amount": 1,
          "guid": "string"
        }
      ],
      "destination_account": {
        "guid": "string",
        "type": "string",
        "bank_guid": "string",
        "customer_guid": "string"
      },
      "destination_participants": [
        {
          "type": "string",
          "amount": 1,
          "guid": "string"
        }
      ],
      "deposit_address_guid": "string",
      "created_at": "2026-07-20T16:27:51.438Z",
      "updated_at": "2026-07-20T16:27:51.438Z",
      "hold_details": {
        "applicable_types": [
          "string"
        ],
        "duration": 1,
        "started_at": "2026-07-20T16:27:51.438Z"
      },
      "transfer_details": {},
      "payment_rail": "string",
      "external_id": "string",
      "labels": [
        "string"
      ],
      "entries": [
        {
          "amount": 1,
          "fee": 1,
          "source_account": {
            "guid": null,
            "type": null,
            "bank_guid": null,
            "customer_guid": null
          },
          "destination_account": {
            "guid": null,
            "type": null,
            "bank_guid": null,
            "customer_guid": null
          }
        }
      ]
    }
  ]
}